%define upstream_name    Catalyst-Component-InstancePerContext
%define upstream_version 0.001001

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Return a new instance a component on each request
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Catalyst)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Moose)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildArch: noarch


%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Tue Mar 29 2022 umeabot <umeabot> 0.1.1-12.mga9
+ Revision: 1831547
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 0.1.1-11.mga8
+ Revision: 1523711
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Mar 12 2019 tv <tv> 0.1.1-10.mga7
+ Revision: 1374679
- new release

* Thu Sep 20 2018 umeabot <umeabot> 0.1.1-9.mga7
+ Revision: 1282067
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.1.1-8.mga7
+ Revision: 1167850
- BR perl(inc::Module::Install)

* Sat Jun 18 2016 pterjan <pterjan> 0.1.1-7.mga6
+ Revision: 1022850
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.1.1-6.mga6
+ Revision: 939311
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1.1-5.mga5
+ Revision: 740123
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.1.1-3.mga4
+ Revision: 509575
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.1.1-2.mga3
+ Revision: 363875
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 26 2011 jquelin <jquelin> 0.1.1-1.mga1
+ Revision: 40245
- mageia rebuild
- imported package perl-Catalyst-Component-InstancePerContext

